[Previous] [Next] [Contents]

## `TYP::IsSkewDiag` -- tests whether the argument is a skew diagram

#### Call(s)

`TYP::IsSkewDiag(expr)`

#### Parameters

`expr` | - | any expression

#### Introduction

The `TYP::IsSkewDiag` function tests whether `expr` is a skew diagram that is a a list with two components `l1` and `l2`, `l1` being the exterior shape, `l2` the interior shape. The corresponding diagram of boxes must be connected, that is `l1`[i] >= `l2`[i-1].

Skew diagrams are special cases of skew partitions.

#### Example 1

    >> muEC::TYP::IsSkewDiag( [[3,1,1], [2,1]] );

                                       FALSE

    >> muEC::TYP::IsSkewPart( [[3,1,1], [2,1]] );

                                       TRUE

    >> muEC::TYP::IsSkewDiag( [[3,2], [1,1]] );

                                       TRUE

#### Related Functions

`IsPart`, `IsSkewPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package